package com.tenlionsoft.baselib.core.db.beans;

import androidx.annotation.NonNull;
import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;

/**
 * 作者: adam
 * 日期: 2022/3/28 - 3:26 下午
 * 邮箱: itgaojian@163.com
 * 描述: 食堂菜单表
 */
@Entity(tableName = "food_publish")
public class FoodPublishBean {

    @NonNull
    @PrimaryKey
    private int id;//bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜谱日期自增主键',

    @ColumnInfo(name = "publish_id")
    private String publishId;//char(36) NOT NULL COMMENT '菜谱日期36位主键',
    @ColumnInfo(name = "publish_date")
    private String publishDate; //varchar(25) DEFAULT NULL COMMENT '菜谱日期(yyyy-MM-dd)',
    @ColumnInfo(name = "publish_type")
    private String publishType;//char(1) DEFAULT NULL COMMENT '菜谱类型1:早餐,2:午餐,3:晚餐',
    @ColumnInfo(name = "publish_status")
    private String publishStatus;//发布状态 1发布  0未发布
    @ColumnInfo(name = "canteen_id")
    private String canteenId;//char(36) DEFAULT NULL COMMENT '关联食堂36位主键',
    @ColumnInfo(name = "sync_number")
    private int syncNumber;//bigint(20) DEFAULT NULL COMMENT '同步号',
    @ColumnInfo(name = "creator")
    private String creator;//char(36) DEFAULT NULL,
    @ColumnInfo(name = "gmt_create")
    private String gmtCreate;//datetime DEFAULT NULL,
    @ColumnInfo(name = "modifier")
    private String modifier;//char(36) DEFAULT NULL,
    @ColumnInfo(name = "gmt_modified")
    private String gmtModified;//datetime DEFAULT NULL,
    @ColumnInfo(name = "is_delete")
    private String isDelete;//` char(1) DEFAULT NULL,


    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getPublishId() {
        return publishId;
    }

    public void setPublishId(String publishId) {
        this.publishId = publishId;
    }

    public String getPublishDate() {
        return publishDate;
    }

    public void setPublishDate(String publishDate) {
        this.publishDate = publishDate;
    }

    public String getPublishType() {
        return publishType;
    }

    public void setPublishType(String publishType) {
        this.publishType = publishType;
    }

    public String getPublishStatus() {
        return publishStatus;
    }

    public void setPublishStatus(String publishStatus) {
        this.publishStatus = publishStatus;
    }

    public String getCanteenId() {
        return canteenId;
    }

    public void setCanteenId(String canteenId) {
        this.canteenId = canteenId;
    }

    public int getSyncNumber() {
        return syncNumber;
    }

    public void setSyncNumber(int syncNumber) {
        this.syncNumber = syncNumber;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(String isDelete) {
        this.isDelete = isDelete;
    }
}
